
#ifndef SPECTRE_GRAPHICS_FONT_ENGINE_FONTENGINE_H
#define SPECTRE_GRAPHICS_FONT_ENGINE_FONTENGINE_H

#include <string>
#include <Spectre/Graphics/Image.h>
#include <Spectre/Graphics/Font/Glyph.h>
#include <Spectre/Graphics/Font.h>

namespace sp {

class FontEngine
{
public :
	virtual bool setCharacterSize(unsigned int size) = 0;

	virtual bool loadFromFile(const std::string& filename) = 0;

	virtual Glyph loadGlyph(unsigned int codepoint, Image& img, unsigned int outlineSize = 0) = 0;

	virtual std::string getName() = 0;
};

} // namespace sp

#endif /* SPECTRE_GRAPHICS_FONT_ENGINE_FONTENGINE_H */
